OpenNMS API 1.2.9

## org.opennms.web.asset
Class AssetModel

    java.lang.Object
      org.opennms.web.asset.AssetModel

public class AssetModel
extends java.lang.Object

Nested Class Summary
`static class` `AssetModel.MatchingAsset`

Field Summary
`private static java.lang.String[][]` `s_columns` Hard-coded (for now) list of human-readable asset columns and the corresponding database column.

Constructor Summary
`AssetModel()`

Method Summary
`void` `createAsset(Asset asset)`
`Asset[]` `getAllAssets()`
`Asset` `getAsset(int nodeId)`
`static java.lang.String[][]` `getColumns()`
`static boolean` `isColumnValid(java.lang.String column)`
`void` `modifyAsset(Asset asset)`
`protected static Asset[]` `rs2Assets(java.sql.ResultSet rs)`
`static AssetModel.MatchingAsset[]` `searchAssets(java.lang.String columnName, java.lang.String searchText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_columns

    private static final java.lang.String[][] s_columns

  Hard-coded (for now) list of human-readable asset columns and the corresponding database column.

Constructor Detail

### AssetModel

    public AssetModel()

Method Detail

### getAsset

    public Asset getAsset(int nodeId)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getAllAssets

    public Asset[] getAllAssets()
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### createAsset

    public void createAsset(Asset asset)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### modifyAsset

    public void modifyAsset(Asset asset)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### searchAssets

    public static AssetModel.MatchingAsset[] searchAssets(java.lang.String columnName,
                                                          java.lang.String searchText)
                                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### rs2Assets

    protected static Asset[] rs2Assets(java.sql.ResultSet rs)
                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getColumns

    public static java.lang.String[][] getColumns()

### isColumnValid

    public static boolean isColumnValid(java.lang.String column)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.